Support » Plugin: Pz-LinkCard » PHP 7.4 で動作しない?

  • いつも便利に使わせていただいております。

    興味本位でPHP7.3から7.4に上げたところ、ページに
    「サイトに重大なエラーがありました。」
    と表示され動作しないことがわかりました。

    もし対処可能でしたらご修正いただけましたら幸いです。

Viewing 2 replies - 1 through 2 (of 2 total)
  • (追記)

    https://ji0vwl.net/index.php/blogcard-urlhttps-google-co-jp/

    [blogcard url=… を書くと、上記のようなエラーが出ます。

    いわゆる「おま環」かもしれませんので、不明でしたら深追いはしなくて結構です。
    お手数をおかけいたしますが、よろしくお願いいたします。

    大変申し訳ございません。結論から申し上げますと、私のビルドオプション指定ミスでした。
    PHP 7.3 → PHP 7.4 でビルドオプションが変わっており、PHP 7.3で不要だったオプションを付加しないと動作しなかった様です。

    実際にどれが効いたかは不明ですが、参考までに指定したPHP 7.4 ビルドオプション一覧を掲示させていただきます。お騒がせしてしまい大変申し訳ございませんでした。

    ./configure \
    –prefix=/usr/local/php7.4 \
    –with-apxs2=/usr/local/httpd2/bin/apxs \
    –with-openssl=/usr/local/ssl \
    –with-mysql-sock=/var/lib/mysql/mysql.sock \
    –with-mysqli \
    –with-pdo-mysql \
    –with-zlib \
    –with-curl \
    –with-zip \
    –with-jpeg \
    –with-xpm \
    –with-freetype \
    –with-fpm-systemd \
    –with-fpm-user=apache \
    –with-fpm-group=apache \
    –enable-gd \
    –enable-gd-jis-conv \
    –enable-mbstring \
    –enable-xml \
    –enable-fpm \
    –enable-ftp \
    –enable-apc \
    –enable-apcu \
    –enable-opcache \
    –enable-inline-optimization

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.